public inbox for gentoo-commits@lists.gentoo.org
 help / color / mirror / Atom feed
From: "Alessandro Barbieri" <lssndrbarbieri@gmail.com>
To: gentoo-commits@lists.gentoo.org
Subject: [gentoo-commits] repo/proj/guru:dev commit in: dev-python/pytest-trio/
Date: Sun,  6 Dec 2020 09:40:10 +0000 (UTC)	[thread overview]
Message-ID: <1607247608.63778f5510898a2e7d3cd0ec8af64bb86d1e28a2.Alessandro-Barbieri@gentoo> (raw)

commit:     63778f5510898a2e7d3cd0ec8af64bb86d1e28a2
Author:     Alessandro Barbieri <lssndrbarbieri <AT> gmail <DOT> com>
AuthorDate: Sun Dec  6 09:25:40 2020 +0000
Commit:     Alessandro Barbieri <lssndrbarbieri <AT> gmail <DOT> com>
CommitDate: Sun Dec  6 09:40:08 2020 +0000
URL:        https://gitweb.gentoo.org/repo/proj/guru.git/commit/?id=63778f55

dev-python/pytest-trio: new version

Package-Manager: Portage-3.0.10, Repoman-3.0.2
Signed-off-by: Alessandro Barbieri <lssndrbarbieri <AT> gmail.com>

 dev-python/pytest-trio/Manifest                 |  1 +
 dev-python/pytest-trio/pytest-trio-0.7.0.ebuild | 55 +++++++++++++++++++++++++
 2 files changed, 56 insertions(+)

diff --git a/dev-python/pytest-trio/Manifest b/dev-python/pytest-trio/Manifest
index d17b5024..185856d2 100644
--- a/dev-python/pytest-trio/Manifest
+++ b/dev-python/pytest-trio/Manifest
@@ -1,2 +1,3 @@
 DIST pytest-trio-0.5.2.tar.gz 35372 BLAKE2B 158e59d81fab6b56e37e92e28f8fdabb5d330dfc57b7774dcde4156165e3f5336647c9382268b50a5f70806449107ab2c7ec6d1a34f6bc773825b4fbb50b03a1 SHA512 0ab0bcfd3b1ef4859a49fa9d5dacbc698882f4f95ee113f241b49d8a7f000dbae1d982a13a87e18f96d51af1278b20298dd1af8d2ab1f563e91e74f7232f46a5
 DIST pytest-trio-0.6.0.tar.gz 37835 BLAKE2B 4158cfc81fc6db3aa9f049127f6550de4ac55fd881c4e35b67bdcfe0492470dce6ee5df9077962b46b6233f942fcc944b41cd185897ddb83824ad1a31abb846e SHA512 662719e67f5d71f73b2e5389592812b79b296b7fdd8ff6f491961bd5444958e829c46a3bd79f08e9b8b8638125c48edd459f599acc2e071fc0cf8013525a3739
+DIST pytest-trio-0.7.0.tar.gz 47784 BLAKE2B 59b28df45e87804e0b6eb557a0cf259fdc3636cc7a03d78248fb814d55904ed01d00a530b194b2bfe93ccfb9de528d70a372faf1f6db24531c230319122db2e5 SHA512 547036c94f33cf8e755c88d608c5fddfa5c583fdaa7e604598d470e250a006c571702a81bac4f273b74450a8c10e4be404bad74d4104403fe1c9c70e872dff53

diff --git a/dev-python/pytest-trio/pytest-trio-0.7.0.ebuild b/dev-python/pytest-trio/pytest-trio-0.7.0.ebuild
new file mode 100644
index 00000000..2a9db699
--- /dev/null
+++ b/dev-python/pytest-trio/pytest-trio-0.7.0.ebuild
@@ -0,0 +1,55 @@
+# Copyright 1999-2020 Gentoo Authors
+# Distributed under the terms of the GNU General Public License v2
+
+EAPI="7"
+
+PYTHON_COMPAT=( python3_{7,8} )
+DISTUTILS_USE_SETUPTOOLS=bdepend
+DOCBUILDER="sphinx"
+DOCDIR="${S}/docs/source"
+DOCDEPEND="
+	>=dev-python/attrs-17.4.0
+	>=dev-python/sphinx-1.6.1
+	dev-python/sphinx_rtd_theme
+	dev-python/sphinxcontrib-trio
+"
+
+inherit distutils-r1 docs
+
+DESCRIPTION="This is a pytest plugin to help you test projects that use Trio"
+HOMEPAGE="
+	https://github.com/python-trio/pytest-trio
+	https://pypi.org/project/pytest-trio
+"
+SRC_URI="mirror://pypi/${P:0:1}/${PN}/${P}.tar.gz"
+
+LICENSE="|| ( MIT Apache-2.0 )"
+SLOT="0"
+KEYWORDS="~amd64 ~x86"
+#too many errors
+RESTRICT="test"
+
+RDEPEND="
+	>=dev-python/async_generator-1.9[${PYTHON_USEDEP}]
+	dev-python/outcome[${PYTHON_USEDEP}]
+	>=dev-python/trio-0.15[${PYTHON_USEDEP}]
+"
+DEPEND="
+	${RDEPEND}
+	test? (
+		>=dev-python/hypothesis-3.64[${PYTHON_USEDEP}]
+		<dev-python/pytest-6.0.0[${PYTHON_USEDEP}]
+	)
+"
+
+distutils_enable_tests pytest
+
+python_test() {
+	# has to be run in source dir
+	#even upstream doesn't know how to run their tests
+	#https://github.com/python-trio/pytest-trio/issues/84
+	#"Our CI is still passing AFAIK"
+	PYTHONPATH="${S}"
+	cd "${S}" || die
+	pytest -vv --pyargs pytest_trio || die "Tests fail with ${EPYTHON}"
+}


             reply	other threads:[~2020-12-06  9:40 UTC|newest]

Thread overview: 12+ messages / expand[flat|nested]  mbox.gz  Atom feed  top
2020-12-06  9:40 Alessandro Barbieri [this message]
  -- strict thread matches above, loose matches on Subject: below --
2021-05-05  7:32 [gentoo-commits] repo/proj/guru:dev commit in: dev-python/pytest-trio/ Alessandro Barbieri
2021-04-13 13:22 [gentoo-commits] repo/proj/guru:master " Andrew Ammerlaan
2021-04-13 12:27 ` [gentoo-commits] repo/proj/guru:dev " Andrew Ammerlaan
2021-03-28  9:55 Andrew Ammerlaan
2021-02-17 17:59 Andrew Ammerlaan
2020-08-29 14:14 Andrew Ammerlaan
2020-06-15 11:34 Andrew Ammerlaan
2020-05-24 19:03 [gentoo-commits] repo/proj/guru:master " Andrew Ammerlaan
2020-05-24  8:35 ` [gentoo-commits] repo/proj/guru:dev " Andrew Ammerlaan
2020-03-31 17:07 Andrew Ammerlaan
2020-03-31 16:44 Alessandro Barbieri
2020-03-29 13:21 Andrew Ammerlaan
2020-03-29  9:29 Alessandro Barbieri

Reply instructions:

You may reply publicly to this message via plain-text email
using any one of the following methods:

* Save the following mbox file, import it into your mail client,
  and reply-to-all from there: mbox

  Avoid top-posting and favor interleaved quoting:
  https://en.wikipedia.org/wiki/Posting_style#Interleaved_style

* Reply using the --to, --cc, and --in-reply-to
  switches of git-send-email(1):

  git send-email \
    --in-reply-to=1607247608.63778f5510898a2e7d3cd0ec8af64bb86d1e28a2.Alessandro-Barbieri@gentoo \
    --to=lssndrbarbieri@gmail.com \
    --cc=gentoo-commits@lists.gentoo.org \
    --cc=gentoo-dev@lists.gentoo.org \
    /path/to/YOUR_REPLY

  https://kernel.org/pub/software/scm/git/docs/git-send-email.html

* If your mail client supports setting the In-Reply-To header
  via mailto: links, try the mailto: link
Be sure your reply has a Subject: header at the top and a blank line before the message body.
This is a public inbox, see mirroring instructions
for how to clone and mirror all data and code used for this inbox